<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Interact/ActionHandsPartSwitch.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/db8/_action_hands_part_switch_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionHandsPartSwitch.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/db8/_action_hands_part_switch_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// deprecated</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../df/d63/class_action_hands_part_switch.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d63/class_action_hands_part_switch.html">ActionHandsPartSwitch</a>: <a class="code hl_class" href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../df/d63/class_action_hands_part_switch.html#a7a45cbd7523cf732fe6f92be530149a7">    4</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d63/class_action_hands_part_switch.html#a7a45cbd7523cf732fe6f92be530149a7">ActionHandsPartSwitch</a>()</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    {</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../df/d63/class_action_hands_part_switch.html#ab074e1172e8acb929abe38c866967f37">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d63/class_action_hands_part_switch.html#ab074e1172e8acb929abe38c866967f37">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {       </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>; <span class="comment">//&#39;CCINotPresent&#39; to perfom with empty hands only</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#switch_to_the_next_part&quot;</span>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../df/d63/class_action_hands_part_switch.html#a279e292aa9f1d4616e4a8ebf3882d830">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d63/class_action_hands_part_switch.html#a279e292aa9f1d4616e4a8ebf3882d830">IsInstant</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../df/d63/class_action_hands_part_switch.html#a781f4f73a218e51d026e57a70d827c41">   20</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../df/d63/class_action_hands_part_switch.html#a781f4f73a218e51d026e57a70d827c41">GetInputType</a>()</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d5/d8d/class_interact_action_input.html">InteractActionInput</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../df/d63/class_action_hands_part_switch.html#a698f9aa1030509fba66bd13f8a834dcd">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d63/class_action_hands_part_switch.html#a698f9aa1030509fba66bd13f8a834dcd">RemoveForceTargetAfterUse</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../df/d63/class_action_hands_part_switch.html#afd294c1c48f99844ebc0a4f6abcce89f">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d63/class_action_hands_part_switch.html#afd294c1c48f99844ebc0a4f6abcce89f">UseAcknowledgment</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../df/d63/class_action_hands_part_switch.html#a37cce37ad97c6909a6a8abde7f0d423d">   35</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d63/class_action_hands_part_switch.html#a37cce37ad97c6909a6a8abde7f0d423d">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <span class="comment">//-------------------------------------------------</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../df/d63/class_action_hands_part_switch.html#a7b4bf625c3ce6efa35b09b19841b98bc">   41</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d63/class_action_hands_part_switch.html#a7b4bf625c3ce6efa35b09b19841b98bc">OnStartClient</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        super.OnStartClient( action_data );</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_function" href="../../df/d63/class_action_hands_part_switch.html#a8091fe0dc862c64a7973a0110c61444b">SetNextIndex</a>(action_data);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../df/d63/class_action_hands_part_switch.html#a3815f4bd9474807832cb77c68206ea7b">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d63/class_action_hands_part_switch.html#a3815f4bd9474807832cb77c68206ea7b">OnStartServer</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        super.OnStartServer( action_data );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer())</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <a class="code hl_function" href="../../df/d63/class_action_hands_part_switch.html#a8091fe0dc862c64a7973a0110c61444b">SetNextIndex</a>(action_data);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../df/d63/class_action_hands_part_switch.html#a8091fe0dc862c64a7973a0110c61444b">   56</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d63/class_action_hands_part_switch.html#a8091fe0dc862c64a7973a0110c61444b">SetNextIndex</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetConstructionActionData();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#a5286f7f98a8255c3da6462df24cf7454">SetNextIndex</a>();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>}</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_hands_part_switch_html"><div class="ttname"><a href="../../df/d63/class_action_hands_part_switch.html">ActionHandsPartSwitch</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db8/_action_hands_part_switch_8c_source.html#l00002">ActionHandsPartSwitch.c:3</a></div></div>
<div class="ttc" id="aclass_action_hands_part_switch_html_a279e292aa9f1d4616e4a8ebf3882d830"><div class="ttname"><a href="../../df/d63/class_action_hands_part_switch.html#a279e292aa9f1d4616e4a8ebf3882d830">ActionHandsPartSwitch::IsInstant</a></div><div class="ttdeci">override bool IsInstant()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db8/_action_hands_part_switch_8c_source.html#l00015">ActionHandsPartSwitch.c:15</a></div></div>
<div class="ttc" id="aclass_action_hands_part_switch_html_a37cce37ad97c6909a6a8abde7f0d423d"><div class="ttname"><a href="../../df/d63/class_action_hands_part_switch.html#a37cce37ad97c6909a6a8abde7f0d423d">ActionHandsPartSwitch::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db8/_action_hands_part_switch_8c_source.html#l00035">ActionHandsPartSwitch.c:35</a></div></div>
<div class="ttc" id="aclass_action_hands_part_switch_html_a3815f4bd9474807832cb77c68206ea7b"><div class="ttname"><a href="../../df/d63/class_action_hands_part_switch.html#a3815f4bd9474807832cb77c68206ea7b">ActionHandsPartSwitch::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db8/_action_hands_part_switch_8c_source.html#l00048">ActionHandsPartSwitch.c:48</a></div></div>
<div class="ttc" id="aclass_action_hands_part_switch_html_a698f9aa1030509fba66bd13f8a834dcd"><div class="ttname"><a href="../../df/d63/class_action_hands_part_switch.html#a698f9aa1030509fba66bd13f8a834dcd">ActionHandsPartSwitch::RemoveForceTargetAfterUse</a></div><div class="ttdeci">override bool RemoveForceTargetAfterUse()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db8/_action_hands_part_switch_8c_source.html#l00025">ActionHandsPartSwitch.c:25</a></div></div>
<div class="ttc" id="aclass_action_hands_part_switch_html_a781f4f73a218e51d026e57a70d827c41"><div class="ttname"><a href="../../df/d63/class_action_hands_part_switch.html#a781f4f73a218e51d026e57a70d827c41">ActionHandsPartSwitch::GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db8/_action_hands_part_switch_8c_source.html#l00020">ActionHandsPartSwitch.c:20</a></div></div>
<div class="ttc" id="aclass_action_hands_part_switch_html_a7a45cbd7523cf732fe6f92be530149a7"><div class="ttname"><a href="../../df/d63/class_action_hands_part_switch.html#a7a45cbd7523cf732fe6f92be530149a7">ActionHandsPartSwitch::ActionHandsPartSwitch</a></div><div class="ttdeci">void ActionHandsPartSwitch()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db8/_action_hands_part_switch_8c_source.html#l00004">ActionHandsPartSwitch.c:4</a></div></div>
<div class="ttc" id="aclass_action_hands_part_switch_html_a7b4bf625c3ce6efa35b09b19841b98bc"><div class="ttname"><a href="../../df/d63/class_action_hands_part_switch.html#a7b4bf625c3ce6efa35b09b19841b98bc">ActionHandsPartSwitch::OnStartClient</a></div><div class="ttdeci">override void OnStartClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db8/_action_hands_part_switch_8c_source.html#l00041">ActionHandsPartSwitch.c:41</a></div></div>
<div class="ttc" id="aclass_action_hands_part_switch_html_a8091fe0dc862c64a7973a0110c61444b"><div class="ttname"><a href="../../df/d63/class_action_hands_part_switch.html#a8091fe0dc862c64a7973a0110c61444b">ActionHandsPartSwitch::SetNextIndex</a></div><div class="ttdeci">void SetNextIndex(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db8/_action_hands_part_switch_8c_source.html#l00056">ActionHandsPartSwitch.c:56</a></div></div>
<div class="ttc" id="aclass_action_hands_part_switch_html_ab074e1172e8acb929abe38c866967f37"><div class="ttname"><a href="../../df/d63/class_action_hands_part_switch.html#ab074e1172e8acb929abe38c866967f37">ActionHandsPartSwitch::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db8/_action_hands_part_switch_8c_source.html#l00008">ActionHandsPartSwitch.c:8</a></div></div>
<div class="ttc" id="aclass_action_hands_part_switch_html_afd294c1c48f99844ebc0a4f6abcce89f"><div class="ttname"><a href="../../df/d63/class_action_hands_part_switch.html#afd294c1c48f99844ebc0a4f6abcce89f">ActionHandsPartSwitch::UseAcknowledgment</a></div><div class="ttdeci">override bool UseAcknowledgment()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db8/_action_hands_part_switch_8c_source.html#l00030">ActionHandsPartSwitch.c:30</a></div></div>
<div class="ttc" id="aclass_action_single_use_base_html"><div class="ttname"><a href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d93/_action_single_use_base_8c_source.html#l00041">ActionSingleUseBase.c:42</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_cursor_html"><div class="ttname"><a href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00001">CCTCursor.c:2</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00001">ConstructionActionData.c:2</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html_a5286f7f98a8255c3da6462df24cf7454"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html#a5286f7f98a8255c3da6462df24cf7454">ConstructionActionData::SetNextIndex</a></div><div class="ttdeci">void SetNextIndex()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00103">ConstructionActionData.c:103</a></div></div>
<div class="ttc" id="aclass_interact_action_input_html"><div class="ttname"><a href="../../d5/d8d/class_interact_action_input.html">InteractActionInput</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/_action_input_8c_source.html#l00534">ActionInput.c:535</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_db22a6aaa1333ce39e022321034f28d1.html">Interact</a></li><li class="navelem"><a class="el" href="../../dd/db8/_action_hands_part_switch_8c.html">ActionHandsPartSwitch.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
